import 'package:cinema/feature/poster/domain/movie.dart';

abstract class VideoLoader {
  Future<String?> getYouTubeVideoId(int movieId, {String language = 'de'});

  Future<bool> downloadVideo(Movie movie);
}
